basis_raw_monomial< T >
Inheritance diagram for basis_raw_monomial< T >:

## Public Types

typedef basis_raw_rep< T > | base
typedef base::size_type | size_type
typedef T | value_type
Public Types inherited from basis_raw_rep< T >
typedef reference_element::size_type | size_type
typedef T | value_type
typedef space_constant::valued_type | valued_type

## Public Member Functions

| basis_raw_monomial (std::string name)
| ~basis_raw_monomial ()
std::string | family_name () const
size_type | ndof (reference_element hat_K) const
bool | is_hierarchical () const
void | evaluate (reference_element hat_K, const point_basic< T > &hat_x, Eigen::Matrix< T, Eigen::Dynamic, 1 > &value) const
void | grad_evaluate (reference_element hat_K, const point_basic< T > &hat_x, Eigen::Matrix< point_basic< T >, Eigen::Dynamic, 1 > &value) const
Public Member Functions inherited from basis_raw_rep< T >
| basis_raw_rep (std::string name="")
void | reset (std::string &name)
virtual | ~basis_raw_rep ()
virtual size_type | degree () const
std::string | name () const
virtual valued_type | valued_tag () const
const std::string & | valued () const
void | put (std::ostream &os, reference_element hat_K) const
void | _clear () const

## Protected Member Functions

void | _initialize (reference_element hat_K) const
Protected Member Functions inherited from basis_raw_rep< T >
void | _initialize_guard (reference_element hat_K) const

## Protected Attributes

std::array< std::vector< point_basic< size_type > >, reference_element::max_variant > | _power_index
std::array< Eigen::Matrix< point_basic< T >, Eigen::Dynamic, 1 >, reference_element::max_variant > | _hat_x_pow
std::array< Eigen::Matrix< point_basic< ad3_basic< T > >, Eigen::Dynamic, 1 >, reference_element::max_variant > | _hat_x_ad_pow
Protected Attributes inherited from basis_raw_rep< T >
size_type | _degree
std::array< bool, reference_element::max_variant > | _have_initialize

## Additional Inherited Members

Static Public Member Functions inherited from basis_raw_rep< T >
static basis_raw_rep * | make_ptr (std::string name)

## Detailed Description

### template<class T>
class rheolef::basis_raw_monomial< T >

Definition at line 39 of file basis_raw_monomial.h.

## Member Typedef Documentation

## base

typedef basis_raw_rep<T> base

Definition at line 44 of file basis_raw_monomial.h.

## size_type

typedef base::size_type size_type

Definition at line 45 of file basis_raw_monomial.h.

## value_type

typedef T value_type

Definition at line 46 of file basis_raw_monomial.h.

## Constructor & Destructor Documentation

## basis_raw_monomial()

basis_raw_monomial | ( | std::string | name | ) |

Definition at line 35 of file basis_raw_monomial.cc.

## ~basis_raw_monomial()

~basis_raw_monomial

Definition at line 31 of file basis_raw_monomial.cc.

## Member Function Documentation

## family_name()

std::string family_name | ( |  | ) | const

virtual

Implements basis_raw_rep< T >.

Definition at line 55 of file basis_raw_monomial.h.

## ndof()

basis_raw_monomial< T >::size_type ndof | ( | reference_element | hat_K | ) | const

virtual

Implements basis_raw_rep< T >.

Definition at line 55 of file basis_raw_monomial.cc.

## is_hierarchical()

bool is_hierarchical | ( |  | ) | const

virtual

Reimplemented from basis_raw_rep< T >.

Definition at line 57 of file basis_raw_monomial.h.

## evaluate()

void evaluate | ( | reference_element | hat_K,
|  | const point_basic< T > & | hat_x,
|  | Eigen::Matrix< T, Eigen::Dynamic, 1 > & | value
| ) |  | const

virtual

Implements basis_raw_rep< T >.

Definition at line 78 of file basis_raw_monomial.cc.

## grad_evaluate()

void grad_evaluate | ( | reference_element | hat_K,
|  | const point_basic< T > & | hat_x,
|  | Eigen::Matrix< point_basic< T >, Eigen::Dynamic, 1 > & | value
| ) |  | const

virtual

Implements basis_raw_rep< T >.

Definition at line 99 of file basis_raw_monomial.cc.

## _initialize()

void _initialize | ( | reference_element | hat_K | ) | const

protected virtual

Implements basis_raw_rep< T >.

Definition at line 61 of file basis_raw_monomial.cc.

## Member Data Documentation

## _power_index

std::array< std::vector<point_basic<size_type> >, reference_element::max_variant> _power_index

mutable protected

Definition at line 81 of file basis_raw_monomial.h.

## _hat_x_pow

std::array< Eigen::Matrix<point_basic<T>,Eigen::Dynamic,1>, reference_element::max_variant> _hat_x_pow

mutable protected

Definition at line 84 of file basis_raw_monomial.h.

## _hat_x_ad_pow

std::array< Eigen::Matrix<point_basic<ad3_basic<T> >,Eigen::Dynamic,1>, reference_element::max_variant> _hat_x_ad_pow

mutable protected

Definition at line 87 of file basis_raw_monomial.h.

The documentation for this class was generated from the following files:

- /build/rheolef-FQTnje/rheolef-7.1/fem/lib/basis_raw_monomial.h
- /build/rheolef-FQTnje/rheolef-7.1/fem/lib/basis_raw_monomial.cc